POST
/v1/orders/shipments/exportPOST /v1/orders/shipments/export
Scopes: orders:shipments:read
Requires scope: orders:shipments:read.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
carrier | string | no | |
status | string | no | |
shippedFrom | string<date-time> | no | |
shippedTo | string<date-time> | no | |
lateOnly | boolean | no | |
domesticOnly | boolean | no | |
format | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
jobId | string<uuid> | no | |
format | string | no | |
requestedAt | string<date-time> | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/orders/shipments/export', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);